# editbox.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Defines

#define | GWEN_EDITBOX_FLAGS_CLEARALL 0x00040000
#define | GWEN_EDITBOX_FLAGS_DYNAMIC 0x00020000
#define | GWEN_EDITBOX_FLAGS_EDIT 0x00100000
#define | GWEN_EDITBOX_FLAGS_INSERT 0x00080000
#define | GWEN_EDITBOX_FLAGS_MULTILINE 0x00010000

## Enumerations

enum | GWEN_EDITBOX_TYPE { GWEN_EditBoxType_Char = 0, GWEN_EditBoxType_Int }

## Functions

GWEN_BUFFER * | GWEN_EditBox_GetText (const GWEN_WIDGET *w, int asAscii)
GWEN_WIDGET * | GWEN_EditBox_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, const char *text, int x, int y, int width, int height, int maxLen)
void | GWEN_EditBox_SetDataType (GWEN_WIDGET *w, GWEN_EDITBOX_TYPE d)
int | GWEN_EditBox_Validate (GWEN_WIDGET *w)

## Define Documentation

#define GWEN_EDITBOX_FLAGS_CLEARALL 0x00040000

#define GWEN_EDITBOX_FLAGS_DYNAMIC 0x00020000

#define GWEN_EDITBOX_FLAGS_EDIT 0x00100000

#define GWEN_EDITBOX_FLAGS_INSERT 0x00080000

#define GWEN_EDITBOX_FLAGS_MULTILINE 0x00010000

## Enumeration Type Documentation

enum GWEN_EDITBOX_TYPE

Enumerator:

  GWEN_EditBoxType_Char |
  GWEN_EditBoxType_Int |

## Function Documentation

GWEN_BUFFER* GWEN_EditBox_GetText | ( | const GWEN_WIDGET * | w,
|  | int | asAscii
| ) |

GWEN_WIDGET* GWEN_EditBox_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | const char * | text,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | int | maxLen
| ) |

void GWEN_EditBox_SetDataType | ( | GWEN_WIDGET * | w,
|  | GWEN_EDITBOX_TYPE | d
| ) |

int GWEN_EditBox_Validate | ( | GWEN_WIDGET * | w | ) |